Bug 189689 - [patch] Add staging support to editors/uemacs
Summary: [patch] Add staging support to editors/uemacs
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-12 01:40 UTC by joe
Modified: 2014-05-25 06:30 UTC (History)
0 users

See Also:


Attachments
file.diff (1.28 KB, patch)
2014-05-12 01:40 UTC, joe
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description joe 2014-05-12 01:40:00 UTC
This quick patch addresses staging with editors/uemacs.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2014-05-12 01:40:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

swills@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2014-05-12 01:40:05 UTC
Maintainer of editors/uemacs,

Please note that PR ports/189689 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/189689

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2014-05-12 01:40:06 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 mail 2014-05-12 01:47:51 UTC
Approved. Thanks!

On Mon 2014-05-12 00:40:05 UTC+0000, Edwin Groothuis (edwin@FreeBSD.org) wrote:

> Maintainer of editors/uemacs,
> 
> Please note that PR ports/189689 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
Comment 5 dfilter service freebsd_committer 2014-05-25 06:21:00 UTC
Author: miwi
Date: Sun May 25 05:20:56 2014
New Revision: 355118
URL: http://svnweb.freebsd.org/changeset/ports/355118
QAT: https://qat.redports.org/buildarchive/r355118/

Log:
  - Stage support
  
  PR:		189689
  Submitted by:	Joseph Benden <joe@thrallingpenguin.com>
  Approved by:	maintainer

Modified:
  head/editors/uemacs/Makefile
  head/editors/uemacs/files/patch-aa

Modified: head/editors/uemacs/Makefile
==============================================================================
--- head/editors/uemacs/Makefile	Sun May 25 05:19:45 2014	(r355117)
+++ head/editors/uemacs/Makefile	Sun May 25 05:20:56 2014	(r355118)
@@ -12,7 +12,6 @@ COMMENT=	Full screen editor
 
 NO_CDROM=	Resale allowed for media cost only
 
-NO_STAGE=	yes
 NO_WRKSUBDIR=	yes
 USES=		zip:infozip
 EXTRACT_BEFORE_ARGS=	-Laq

Modified: head/editors/uemacs/files/patch-aa
==============================================================================
--- head/editors/uemacs/files/patch-aa	Sun May 25 05:19:45 2014	(r355117)
+++ head/editors/uemacs/files/patch-aa	Sun May 25 05:20:56 2014	(r355118)
@@ -1,5 +1,5 @@
---- Makefile.orig	Wed Mar 25 14:28:24 1998
-+++ Makefile	Wed Mar 25 14:41:41 1998
+--- Makefile.orig	2014-05-11 17:18:47.000000000 -0700
++++ Makefile	2014-05-11 17:20:45.000000000 -0700
 @@ -0,0 +1,12 @@
 +#
 +# simple makefile for uemacs 
@@ -9,7 +9,7 @@
 +	(cd freebsd; make emacs)
 +
 +install:	all
-+	${BSD_INSTALL_PROGRAM} freebsd/emacs ${PREFIX}/bin/uemacs
-+	mkdir -p ${PREFIX}/share/uemacs
-+	${BSD_INSTALL_DATA} cmd/* ${PREFIX}/share/uemacs
-+	mv ${PREFIX}/share/uemacs/emacs.rc ${PREFIX}/share/uemacs/.emacsrc
++	${BSD_INSTALL_PROGRAM} freebsd/emacs ${DESTDIR}${PREFIX}/bin/uemacs
++	mkdir -p ${DESTDIR}${PREFIX}/share/uemacs
++	${BSD_INSTALL_DATA} cmd/* ${DESTDIR}${PREFIX}/share/uemacs
++	mv ${DESTDIR}${PREFIX}/share/uemacs/emacs.rc ${DESTDIR}${PREFIX}/share/uemacs/.emacsrc
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Martin Wilke freebsd_committer 2014-05-25 06:21:09 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!